Draft Drawing/it: Difference between revisions

From FreeCAD Documentation
(Created page with "# Selezionare gli oggetti che si desidera inserire nella tavola di disegno # Premere il pulsante {{KEY/it|16px Disegno}}")
(Created page with "== Opzioni ==")
Line 12: Line 12:
# Premere il pulsante {{KEY/it|[[Image:Draft Drawing.png|16px]] Disegno}}
# Premere il pulsante {{KEY/it|[[Image:Draft Drawing.png|16px]] Disegno}}


==Options==
== Opzioni ==


* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.
* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.

Revision as of 23:39, 13 February 2014

Disegno

Posizione nel menu
Draft → Disegno
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Questo strumento permette di inserire gli oggetti selezionati in una tavola di disegno SVG. Se nel documento non esiste nessun modello di tavola, ne viene creato uno predefinito.

Utilizzo

  1. Selezionare gli oggetti che si desidera inserire nella tavola di disegno
  2. Premere il pulsante Template:KEY/it

Opzioni

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • DatiFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • DatiFont Size: Allows you to specify the font size of texts and dimensions.
  • DatiLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

 makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

 import FreeCAD,Draft
 obj = FreeCAD.ActiveDocument.ActiveObject
 page = FreeCAD.ActiveDocument.Page
 Draft.makeDrawingView(obj,page)